var centraldesktop = function () {
    console.log("loaded page");
    var win = window.content;
    win.document.documentElement.className += " cd-browser-extension";

    win.addEventListener("message", function message(event) {
        if (event.source != win) {
            console.log("Event source was x not y", event.source, window);
            return;
        }

        try {

            var dataobject = JSON.parse(event.data);

            if (dataobject.type && (dataobject.type == "extension_download")) {
              console.log("Content script received: ", dataobject);

              var oReq = new XMLHttpRequest();
              var form = new FormData();
              for (var key in dataobject) {
                if (key != "type" && dataobject.hasOwnProperty(key)) {
                  form.append(key, dataobject[key]);
                }
              }

              // Signal demon for download file.
              url = 'https://localhost.centraldesktop.com:9051/';

              oReq.open("POST", url, true);
              oReq.onreadystatechange = function () {
                  if (oReq.readyState == 2) {
                      win.postMessage('cloudedit-demoninvoked', '*');
                  }
                  if (oReq.readyState == 4) {
                      win.postMessage('cloudedit-demonfinishedfile', '*');
                  }
              };
              oReq.onerror = function () {
                  win.postMessage("cloudedit-cant-communicate", "*")
                  console.log("Cloudedit failed to communicate w/ backend");
              };
              oReq.send(form);
            }

        } catch (e) {

        }
    }, false);
};

centraldesktop();
